7 Replies Latest reply on Apr 26, 2007 3:59 AM by Arjan van Bentem

    This IDE won't update?

    Seto Kaiba Expert

      Viewing the roadmap in JIRA, the dates of upcoming realease are all passed. Will it update in the future. This IDE is really appreciative. I really love it.

        • 1. Re: This IDE won't update?
          ric1607 Newbie

          Hello Seto,

          My personal advice is to use all modules except the JBoss IDE Core, and replace it by WTP functionalities instead.

          The IDE does not seem to be a JBoss priority anymore, now that WTP has improved a lot.

          I guess it would be smarter from the JBoss team to be clearer on the subject and not let people bang their head with the beta2 (as I did, and as you may notice, I may have some after-effects {;-))

          --Eric

          • 2. Re: This IDE won't update?
            Max Rydahl Andersen Master

            The IDE is a priority (check cvs logs ;), the docs needs updating though - that is for sure.

            • 3. Re: This IDE won't update?
              Alex Grönholm Novice

              Thank you, but could we get an unofficial estimate when beta3 will likely be released? A lot of that banging head to the wall comes from the fact that the xml descriptor was incorrectly configured and resulted in Eclipse thinking that the IDE needed its own copy of WTP. That was fixed a long ago in the CVS but I'd rather not venture there, given the volatile nature of development code. Some tried that and failed. Therefore a new release would be greatly appreciated. It's been far too long since beta2.

              • 4. Re: This IDE won't update?
                Arjan van Bentem Novice


                I'm with alexg79: unofficial roadmaps are appreciated!

                > [...] That was fixed a long ago in the CVS

                The JBoss IDE feature.xml can be found here. I'm not sure what version alexg79 refers to though (see also the Feature manifest help).

                Note that JBoss IDE 2.0.0 Beta 2 cannot be installed into an Eclipse 3.3 milestone using the JBoss update site, yielding the errors below. See JBIDE-471.

                JST Common Core (1.5.1.v200608082030--0842282_363739) requires feature "org.eclipse.platform (3.2.0)", or equivalent.
                JST Server Core (1.5.1.v200608082030--2PD88P8UBJx787) requires feature "org.eclipse.platform (3.2.0)", or equivalent.
                JST Web Core (1.5.1.v200608082030--87cMN7NRVeVWXd) requires feature "org.eclipse.platform (3.2.0)", or equivalent.
                JST Enterprise Core (1.5.1.v200609051533--2PD88P8YAGDADJ) requires feature "org.eclipse.platform (3.2.0)", or equivalent.
                JST Enterprise UI (1.5.1.v200608082030-pEBq_haA1H4sJf6) requires feature "org.eclipse.platform (3.2.0)", or equivalent.
                WST Server Core (1.5.1.v200608082030------1G955G5L7D) requires feature "org.eclipse.rcp (3.2.0)", or equivalent.
                WST XML Core (1.5.1.v200608082030--3YIAAYAjGLENFH) requires feature "org.eclipse.rcp (3.2.0)", or equivalent.
                WST Web Services Core (1.5.1.v200608082030--4hNDDhDvGTJSLf) requires feature "org.eclipse.platform (3.2.0)", or equivalent.
                WST Web Core (1.5.1.v200608082030--4hNDDhDvKRFXQM) requires feature "org.eclipse.platform (3.2.0)", or equivalent.
                WST Relational Database Core (1.5.1.v200608082030--3YIAAYAeEKFTFU) requires feature "org.eclipse.platform (3.2.0)", or equivalent.
                WST Relational Database Adapters (1.5.1.v200608082030--Cq0bcpdJw4teC8) requires feature "org.eclipse.platform (3.2.0)", or equivalent.
                JBossIDE JBossAS Adapter Feature (1.0.0.Beta2) requires plug-in "org.eclipse.ui.workbench.texteditor (3.2.0)", or equivalent.

                • 5. Re: This IDE won't update?
                  Max Rydahl Andersen Master

                  not sure what we can do about that. eclipse 3.3 requires wtp 2.x to work and that is not something we can verify against yet.

                  • 6. Re: This IDE won't update?
                    Arjan van Bentem Novice

                     

                    "avbentem" wrote:
                    The JBoss IDE feature.xml can be found <a href="http://www.jboss.com/index.html?module=bb&op=viewtopic&t=102699">here</a>.

                    Errrr, not really. Corrected link to FishEye: here...

                    Note that at JBIDE-471 Max Andersen has confirmed that JBoss IDE is not yet using WTP 2.x

                    For whoever wants to get the code from CVS: get jbosside from :pserver:anonymous@anoncvs.forge.jboss.com:/cvsroot/jboss ...

                    Arjan.

                    • 7. Re: This IDE won't update?
                      Arjan van Bentem Novice

                       

                      "ric1607" wrote:
                      My personal advice is to use all modules except the JBoss IDE Core, and replace it by WTP functionalities instead.

                      When installing a WTP 2.0 milestone into an Eclipse 3.3. milestone, then be sure to manually include the depencies, as currently only EMF is correctly enforced during installation. When dependencies are missing then the Preferences, Server, Installed Runtimes, Add dialog is rendered incomplete (little red squares instead of server icons, and no JBoss servers listed).

                      For Eclipse 3.3 M6:
                      Help, Software Updates, Find and Install
                      Search for New Features, Europa Discovery Site
                      Graphical Editors and Frameworks: Graphical Editing Framework (GEF)
                      Models and Model Development: Eclipse Modeling Framework (EMF), EMF Service Data Objects (SDO), XML Schema Infoset Model (XSD)
                      Web and JEE Development: Web Standard Tools (WST), J2EE Standard Tools (JST)
                      The choices at Preferences, Server, Installed Runtimes, Add should now include some JBoss servers. If your preferred version does not show in the list, then:
                      Download Wolfgang Knauf's WTP 2.0 Server definition for JBoss 4.2.0 or 5.0.0 (see also WTP bug 128444)
                      Copy into eclipse/plugins
                      Restart Eclipse using the -clean command line option
                      Enjoy,
                      Arjan.